OCF_HEARTBEAT_STATEF(7)

NAME
ocf_heartbeat_Stateful - Example stateful resource agent

SYNOPSIS

Stateful [start | stop | monitor | promote | demote | meta-data | validate-all]

DESCRIPTION

This is an example resource agent that implements two states

SUPPORTED PARAMETERS

state
    Location to store the resource state in

    (unique, optional, string, default "/var/run/resource-agents/Stateful-RESOURCE_ID.state")

SUPPORTED ACTIONS

This resource agent supports the following actions (operations):

start
    Starts the resource. Suggested minimum timeout: 20s.

stop
    Stops the resource. Suggested minimum timeout: 20s.

promote
    Promotes the resource to the Master role. Suggested minimum timeout: 20s.

demote
    Demotes the resource to the Slave role. Suggested minimum timeout: 20s.

monitor
    Performs a detailed status check. Suggested minimum timeout: 20s. Suggested interval: 10s.

meta-data
    Retrieves resource agent metadata (internal use only). Suggested minimum timeout: 5s.

validate-all
    Performs a validation of the resource configuration. Suggested minimum timeout: 20s.

EXAMPLE CRM SHELL

The following is an example configuration for a Stateful resource using the crm(8) shell:

    primitive p_Stateful ocf:heartbeat:Stateful \
      op monitor depth="0" timeout="20s" interval="10s"

    ms ms_Stateful p_Stateful \
      meta notify="true" interleave="true"

EXAMPLE PCS

The following is an example configuration for a Stateful resource using pcs(8)

    pcs resource create p_Stateful ocf:heartbeat:Stateful \
      op monitor depth="0" timeout="20s" interval="10s" --master

SEE ALSO

http://clusterlabs.org/

AUTHOR

ClusterLabs contributors (see the resource agent source for information about individual authors)